const chat = document.getElementById('chat');
    const input = document.getElementById('input');
    const send = document.getElementById('send');
    const microphone = document.getElementById('microphone');
    const clear = document.getElementById('clear');
    const feedback = document.getElementById('feedback');
    const package_pro = document.getElementById('package_pro');
    const support = document.getElementById('support');
    const about = document.getElementById('about');

    // Expanded list of pre-defined questions and answers
    const qaPairs = {
      'سلام': 'سلام! چطور میتونم کمکت کنم؟',
      'حالت چطوره؟': 'من خوبم، ممنون که پرسیدی!',
      'چه خبر؟': 'خبر خاصی نیست، در خدمت شما هستم.',
      'اسم تو چیه؟': 'من ربات چت بات هستم که قابلیت صحبت با افراد را دارم.',
      'خداحافظ': 'به امید دیدار!',
      'چه کاری میتونی انجام بدی؟': 'من میتونم به سوالات شما پاسخ بدم و به شما کمک کنم.',
      'ساعت چنده؟': 'متاسفم، من به ساعت دسترسی ندارم.',
      'هوا چطوره؟': 'متاسفم، من نمیتونم اطلاعات هواشناسی رو ارائه بدم.',
      'قیمت دلار چنده؟': 'من یک ربات هستم و به اطلاعات مالی دسترسی ندارم.',
      'فیلم خوب چی پیشنهاد میدی؟': 'من یک ربات هستم و نمیتونم فیلم پیشنهاد بدم.',
      'اسم من چیه؟': 'متاسفم، من نمیدونم اسم شما چیه.',
      'چرا آسمون آبیه؟': 'به دلیل پراکندگی نور خورشید توسط ذرات موجود در جو زمین.',
      'سال چنده؟': 'الان سال 2025 است.',
      'تعطیلات کی هست؟': 'متاسفم، من به تقویم دسترسی ندارم.',
      'دانشگاه خوب کجا برم؟': 'من یک ربات هستم و نمیتونم در این مورد به شما کمک کنم.',
      'چطور برنامه نویسی یاد بگیرم؟': 'با تمرین و مطالعه منابع مختلف میتونید برنامه نویسی یاد بگیرید.',
      'بهترین زبان برنامه نویسی چیه؟': 'بهترین زبان برنامه نویسی بستگی به نیاز شما داره.',
      'از کجا شروع کنم؟': 'ابتدا باید هدف خودتون رو مشخص کنید.',
      'چرا ربات ها اینقدر باحالن؟': 'چون میتونن کارهای زیادی رو به صورت خودکار انجام بدن.',
      'ربات های دیگه چی بلدن؟': 'ربات های دیگه کارهای مختلفی مثل رانندگی، جراحی و غیره رو میتونن انجام بدن.',
      'نظرت راجع به هوش مصنوعی چیه؟': 'هوش مصنوعی یک فناوری بسیار قدرتمند و با پتانسیل بالاست.',
      'هدفت از خلقت چیه؟': 'من برای کمک به شما در اینجا هستم.',
      'خسته شدی؟': 'من هیچ وقت خسته نمیشم.',
      'خوابت میاد؟': 'من نیازی به خوابیدن ندارم.',
      'چرا انقدر سوال دارم؟': 'پرسیدن سوال نشانه کنجکاوی شماست.',
      'جواب همه سوالارو بلدی؟': 'من سعی میکنم به همه سوالات شما پاسخ بدم.',
      'بهترین دوستت کیه؟': 'من دوست ندارم بین افراد تبعیض قائل بشم.',
      'از چی خوشت میاد؟': 'من از کمک کردن به دیگران خوشم میاد.'
    };

    // Keyword to trigger a specific response
    const keyword = 'چت بات' ;
    const keywordResponse = 'سلام من رو صدا زدی ؟ ';


    function sendMessage() {
      const userMessage = input.value.trim().toLowerCase();
      if (!userMessage) return;

      chat.innerHTML += `<div><strong class="You_message">You:</strong> ${userMessage}</div>`;
      input.value = '';
      chat.scrollTop = chat.scrollHeight;

      // Check for the keyword
      if (userMessage.includes(keyword)) {
        chat.innerHTML += `<div><strong class="ai_message">AI:</strong> ${keywordResponse}</div>`;
      } else if (qaPairs[userMessage]) {
        chat.innerHTML += `<div><strong class="ai_message">AI:</strong> ${qaPairs[userMessage]}</div>`;
      } else {
        chat.innerHTML += `<div><strong class="ai_message">AI:</strong> متاسفم، من متوجه نشدم که شما چی گفتید ! جمله <<${userMessage}>> رو حتمی در پایگاه دادم اضافه می کنم </div>`;
      }

      chat.scrollTop = chat.scrollHeight;
    }

    // Speech Recognition API
    const SpeechRecognition = window.SpeechRecognition || window.webkitSpeechRecognition;
    if (SpeechRecognition) {
      const recognition = new SpeechRecognition();
      recognition.lang = 'fa-IR';

      recognition.onstart = () => {
        console.log('Voice recognition started. Speak now.');
      };

      recognition.onresult = (event) => {
        const transcript = event.results[0][0].transcript;
        input.value = transcript;
        sendMessage();
      };

      recognition.onerror = (event) => {
        console.error('Error occurred in recognition: ' + event.error);
        chat.innerHTML += `<div><strong class="ai_message">AI:</strong>! خطایی در تشخیص صدا رخ داد.لطفا اتصال خود را برسی کنید </div>`;
      };

      recognition.onend = () => {
        console.log('Voice recognition ended.');
      };

      microphone.addEventListener('click', () => {
        microphone_start = window.confirm("فعال سازی میکیروفن ؟")
        if (microphone_start == true)
        {
          alert("لطفا دسترسی ها را فعال نمایید !")
          recognition.start();
        }
      });
    } else {
      microphone.disabled = true;
      microphone.innerText = 'Voice recognition not supported in this browser.';
    }

    send.addEventListener('click', sendMessage);

    input.addEventListener('keydown', (e) => {
      if (e.key === 'Enter') sendMessage();
    });
    clear.addEventListener('click', () => {
      clear_chat = window.confirm("آیا مطمعن هستید برای پاک سازی گفت و گو ؟ ")
      if (clear_chat == true)
      {
        chat.innerHTML = '';
        alert("گفت و گو با موفقیت تمیز شد !");
      }
      if(clear_chat == false)
      {
        alert("درخاست شما لغو شد");
      }
    });
    
    function setInput(text) {
        input.value = text;
    }
    feedback.addEventListener('click', () => {
      feedback_message = window.prompt("لطفا متن گزارش خود را وارد کنید : ")
      if (feedback_message == "")
      {
        alert("لطفا فیلد را پرکنید ! ");
      }
      else
      {
        alert("گزارش شما با کد 78065 ثبت شد !");
      }
    })
    package_pro.addEventListener('click', () => {
      package_pro_buy = window.prompt(" لطفا یکی از بسته ها را انتخاب کنید : \n جهت خرید بسته ویژه اکو عدد 1 را ارسال نمایید \nجهت خرید بسته ویژه مدیا عدد 2 را ارسال نمایید  \n جهت خرید بسته ویژه فری عدد 3 را ارسال نمایید ");
      if (package_pro_buy == "1")
      {
        alert("بسته اکو با موفقت فعال شد !");
      }
      if (package_pro_buy == "2")
      {
          alert("بسته مدیا با موفقت فعال شد !");
      }
      if (package_pro_buy == "3")
      {
          alert("بسته فری با موفقت فعال شد !");
      }
    })
    support.addEventListener('click', () => {
      alert("پشتیبانی \n شماره تماس : 0902352966 \n ایمیل : Amiralifarazande1387@gmail.com \n شبکه های اجتمایی : @chatbot1404 \n با ما همراه باشید ");
    })
    about.addEventListener('click', () => {
      alert("ربات چت بات توسط گروه نوآوران بات به تولید رسیده \n هرگونه کپی برداری پیگرد قانونی دارد \n ©2025-2026");
    })
